#ifndef _MONITOR_H
#define _MONITOR_H

#ifdef __cplusplus
extern "C" {
#endif

#ifdef ENABLE_COUNT_DEBUG
int MonAddNewItem(const char* pName, int logSaveTime);
int MonIncreaseCount(const char* pName);
int MonUpgradeStatistical(const char* pName, long newVal);
int MonDiffStatistical(const char* pName, long long newVal);
int MonItemLogout(const char* pName);
int MonitorInit(void);
#endif

#ifdef __cplusplus
}
#endif 

#endif
